\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Mesh Generation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enumerations
3D Mesh Generation Reference

##

## Enumerations
enum | CGAL::Mesh_facet_topology { CGAL::FACET_VERTICES_ON_SURFACE = 1, CGAL::FACET_VERTICES_ON_SAME_SURFACE_PATCH, CGAL::FACET_VERTICES_ON_SAME_SURFACE_PATCH_WITH_ADJACENCY_CHECK }
| The enum `Mesh_facet_topology` is designed to tell which constraints have to be checked on each surface facet during the mesh refinement process. More...

## Enumeration Type Documentation

enum CGAL::Mesh_facet_topology

The enum `Mesh_facet_topology` is designed to tell which constraints have to be checked on each surface facet during the mesh refinement process.

See Also
  `CGAL::Mesh_criteria_3<Tr>`,
  `CGAL::Mesh_facet_criteria_3<Tr>`.

`#include <CGAL/Mesh_facet_topology.h>`

Enumerator
FACET_VERTICES_ON_SURFACE | Each vertex of the facet have to be on the surface, on a curve segment, or on a corner.
FACET_VERTICES_ON_SAME_SURFACE_PATCH | The three vertices of a facet belonging to a surface patch `s` have to be on the same surface patch `s`, on a curve segment or on a corner.
FACET_VERTICES_ON_SAME_SURFACE_PATCH_WITH_ADJACENCY_CHECK | The three vertices of a facet belonging to a surface patch `s` have to be on the same surface patch `s`, or on a curve segment incident to the surface patch `s` or on a corner incident to the surface patch `s`.